import {Plugin as Plugin_2} from 'sanity'

/**
 * ## Usage in sanity.config.ts (or .js)
 *
 * ```
 * import {defineConfig} from 'sanity'
 * import {dateRangePlugin} from 'sanity-plugin-daterange-input'
 *
 * export const defineConfig({
 *     //...
 *     plugins: [
 *         dateRangePlugin()
 *     ]
 * })
 * ```
 */
export declare const dateRangePlugin: Plugin_2<void | DateRangePluginConfig>

declare interface DateRangePluginConfig {}

export {}
