import {defineType} from 'sanity'
import {lazy} from 'react'

export const dateRange = defineType({
  type: 'object',
  name: 'dateRange',
  components: {
    input: lazy(() => import('./DateRangeInput')),
  },
  fields: [
    {
      type: 'date',
      name: 'from',
    },
    {
      type: 'date',
      name: 'to',
    },
  ],
})
